Name:           i3-ipc
Version:        0.1.4
Release:        1%{?dist}
Summary:        Inter-process communication with i3

Group:          Applications/System
License:        BSD
URL:            http://github.com/badboy/i3-ipc

Source0:        http://github.com/badboy/%{name}/raw/v%{version}/%{name}
Source1:        http://github.com/badboy/%{name}/raw/v%{version}/man/%{name}.1
Source2:        http://github.com/badboy/%{name}/raw/v%{version}/LICENSE

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       i3


%description
The ruby script i3-ipc can be used to communicate with i3, the improved tiling
window manager, through the provided ipc socket.
Useful for scripting the window manager.


%prep
cp -p %{SOURCE2} .


%build
%install
rm -rf %{buildroot}

install -Dpm0755 %{SOURCE0} \
        %{buildroot}/%{_bindir}/%{name}

install -Dpm0644 %{SOURCE1} \
        %{buildroot}/%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/*/%{name}.*


%changelog
* Fri Apr 16 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.4-1
- Initial package release
